cURL
curl --request GET \
--url https://api.ttapi.org/gemini/video/fetch \
--header 'TT-API-KEY: <api-key>'import requests
url = "https://api.ttapi.org/gemini/video/fetch"
headers = {"TT-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'TT-API-KEY': '<api-key>'}};
fetch('https://api.ttapi.org/gemini/video/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "success",
"jobId": "0ccf0606-3f32-4090-85bd-1786e4593be5",
"data": {
"jobId": "0ccf0606-3f32-4090-85bd-1786e4593be5",
"model": "omni-flash",
"prompt": "A cinematic shot of a futuristic city at sunset",
"aspect_ratio": "16:9",
"reference_images": [
"https://cdn.ttapi.io/example/reference-image.png"
],
"video_url": "https://cdn.ttapi.io/other/2026-06-05/example.mp4",
"quota": "1",
"hookUrl": "https://example.com/callback"
}
}{
"status": "FAILED",
"message": "\"prompt\" cannot be empty.",
"data": {}
}{
"status": "FAILED",
"message": "Wrong TT-API-KEY or email is not activated."
}Gemini
Gemini Video Fetch API
Query the status and result of a Gemini video generation job by jobId.
GET
/
gemini
/
video
/
fetch
cURL
Authorizations
You can obtain your API key from the TTAPI Dashboard.
Query Parameters
jobId returned by the generation endpoint
Response
Query successful
Last modified on June 5, 2026
⌘I